package com.chenyang.nse.bussiness.entity.orm.table.base;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_BASE_USER"
)
public class TBaseUser extends TInitEntity {
   @Column(
      length = 32
   )
   private String username;
   @Column(
      length = 100
   )
   private String realname;
   @Column(
      length = 50
   )
   private String password;
   @Column(
      length = 32
   )
   private String chpwdflg;
   @Column(
      length = 10
   )
   private String limitnum;
   @Column(
      length = 11
   )
   private int isenable;
   private Date editpasswordtime;
   @Column(
      length = 50
   )
   private String ipaddress;
   @Column(
      length = 255
   )
   private String remark;
   @Column(
      length = 255
   )
   private String email;
   @Column(
      length = 1
   )
   private String plaintext;
   @Column(
      length = 1
   )
   private String desensitize;

   public Date getEditpasswordtime() {
      return this.editpasswordtime;
   }

   public void setEditpasswordtime(Date editpasswordtime) {
      this.editpasswordtime = editpasswordtime;
   }

   public String getPlaintext() {
      return this.plaintext;
   }

   public void setPlaintext(String plaintext) {
      this.plaintext = plaintext;
   }

   public String getDesensitize() {
      return this.desensitize;
   }

   public void setDesensitize(String desensitize) {
      this.desensitize = desensitize;
   }

   public String getIpaddress() {
      return this.ipaddress;
   }

   public void setIpaddress(String ipaddress) {
      this.ipaddress = ipaddress;
   }

   public int getIsenable() {
      return this.isenable;
   }

   public void setIsenable(int isenable) {
      this.isenable = isenable;
   }

   public String getChpwdflg() {
      return this.chpwdflg;
   }

   public void setChpwdflg(String chpwdflg) {
      this.chpwdflg = chpwdflg;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getPassword() {
      return this.password;
   }

   public void setPassword(String password) {
      this.password = password;
   }

   public String getLimitnum() {
      return this.limitnum;
   }

   public void setLimitnum(String limitnum) {
      this.limitnum = limitnum;
   }

   public String getRealname() {
      return this.realname;
   }

   public void setRealname(String realname) {
      this.realname = realname;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getEmail() {
      return this.email;
   }

   public void setEmail(String email) {
      this.email = email;
   }
}
